## ros-indigo-pal-msgs 0.11.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-pal-msgs (0.11.3-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 21 Sep 2016 15:28:00 -0000

ros-indigo-pal-msgs (0.11.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 18 Sep 2016 22:00:00 -0000

ros-indigo-pal-msgs (0.11.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-msgs (0.11.0-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-msgs (0.10.4-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 03 Sep 2015 22:00:00 -0000

ros-indigo-pal-msgs (0.10.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 08 Mar 2015 23:00:00 -0000

ros-indigo-pal-msgs (0.10.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 05 Feb 2015 23:00:00 -0000

ros-indigo-pal-msgs (0.10.1-0trusty) trusty; urgency=high

  * Fix email address
  * Contributors: Víctor López

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 16 Nov 2014 23:00:00 -0000

ros-indigo-pal-msgs (0.9.1-0trusty) trusty; urgency=high

  * Update meta-package with pal_walking_msgs and pal_navigation_msgs
  * Remove unneeded package text_to_speech
    Its functionalities (Sound action) have been merged
    into pal_interaction_msgs in the previous commit.
  * Update metapackage
  * Add pal_device_msgs
  * Added other packages needed by people that want to use our robot, face
    detection in pal_detection_msgs, and text to speech in text_to_speech. Also
    removed from pal_interaction_msgs the references to the speech part that was
    included there and made incompatible the use of axclient without having the
    same package name than the one inside of the real robot
  * Add pal_interaction_msgs and metapackage
  * Contributors: Paul Mathieu, Sammy Pfeiffer

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 26 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-pal-msgs
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pal-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pal-behaviour-msgs, ros-indigo-pal-control-msgs, ros-indigo-pal-detection-msgs, ros-indigo-pal-device-msgs, ros-indigo-pal-interaction-msgs, ros-indigo-pal-motion-model-msgs, ros-indigo-pal-multirobot-msgs, ros-indigo-pal-navigation-msgs, ros-indigo-pal-tablet-msgs, ros-indigo-pal-vision-msgs, ros-indigo-pal-walking-msgs, ros-indigo-pal-wifi-localization-msgs
Description: PAL-specific messages and services

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pal-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
